{*******************************************************************}
{                                                                   }
{  AutoLink Entity Details form for Primary Care Management         }
{  a component of the Scheduling Redesign Project                   }
{                                                                   }
{  Scheduling ver 5.3 AUG 13, 1993                                  }      
{  Management Information Products Group                            }
{  Albany NY                                                        }
{  Dept. of Veteran Affairs                                         }
{  March 1996  (mjk)                                                } 
{                                                                   }
{  Version: 1T15     Updated:                                        }
{                                                                   }
{*******************************************************************}

unit Autodet;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls {,Gtsize32 - PDR};

type
  TfrmAutoDetail = class(TForm)
    Bevel1: TBevel;
    lblName: TLabel;
    lblNameText: TLabel;
    lblType: TLabel;
    lblTypeText: TLabel;
    lstAutoLinks: TListBox;
    lblAutoLinks: TLabel;
    cmdClose: TBitBtn;
    lblID: TLabel;
    lblIDText: TLabel;
    {GTForm1: GTForm - PDR;}
    procedure FormResize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAutoDetail: TfrmAutoDetail;

implementation

uses pcmm1;

{$R *.DFM}

procedure TfrmAutoDetail.FormResize(Sender: TObject);
begin
  Clientwidth := 225;

end;

procedure TfrmAutoDetail.FormCreate(Sender: TObject);
begin
  Font.Assign(FrmMain.FontDialog1.Font);
end;

end.
