{*******************************************************************}
{                                                                   }
{    Primary Care FTEE                                              }
{                                                                   }
{                                                                   }
{                                                                   }
{    Albany NY (jds)                                                }
{    Dept. of Veteran Affairs                                       }
{    August 2002                                                    }
{                                                                   }
{                                                                   }
{                                                                   }
{*******************************************************************}
unit PCFtee;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ActnList, Buttons,Scut2,Scut3, ScutbrK,uPrUtil,
  ExtCtrls,Trpcb, Grids, ValEdit;

type
  TfrmPCFtee = class(TForm)
    cmdStaffOk: TBitBtn;
    cmdStaffCancel: TBitBtn;
    cmdClose: TBitBtn;
    cmdHelp: TBitBtn;
    hdrStaff: THeader;
    ValueListEditor1: TValueListEditor;
    Label1: TLabel;

    procedure edtPCFteeKeyPress(Sender: TObject; var Key: Char);
    procedure ListView1Change(Sender: TObject; Item: TListItem;
      Change: TItemChange);
    procedure ListView1Resize(Sender: TObject);
    procedure ListView1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);





    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormActivate(Sender: TObject);

    procedure cmdStaffCancelClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure cmdStaffOkClick(Sender: TObject);

    procedure cmdCloseClick(Sender: TObject);
    procedure cmdHelpClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure pad(var s: string; ln: integer);
    procedure ValueListEditor1Validate(Sender: TObject; ACol,
      ARow: Integer; const KeyName, KeyValue: String);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPCFtee: TfrmPCFtee;
  OLDMESS: TMessageEvent;
  WhatRow:   Integer;
  OldData: TStrings;
  RPCBrokerMain: TRPCBroker;
  TOPONE: Integer;


implementation

uses PCMM1;

{$R *.dfm}



procedure TfrmPCFtee.edtPCFteeKeyPress(Sender: TObject; var Key: Char);
begin
{ IF KEY=#13 THEN
        BEGIN

                 frmPCFtee.edtPCFteeExit(edtPCFtee);
                 MoveDown(Sender);
                 KEY:=#0;
                 exit;


        END;}

 if key  in ['1','2','3','4','5','6','7','8','9','0','.'] then exit;
 key:=#0;
end;

procedure TfrmPCFtee.ListView1Change(Sender: TObject; Item: TListItem;
  Change: TItemChange);
begin
        CHANGE:=CHANGE;
end;

procedure TfrmPCFtee.ListView1Resize(Sender: TObject);
begin
 //edtPCFtee.Text:='here' ;
end;

procedure TfrmPCFtee.ListView1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
 //edtPCFtee.Text := 'heres';
end;








procedure TfrmPCFtee.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 application.OnMessage := oldmess;
end;

procedure TfrmPCFtee.FormActivate(Sender: TObject);
var
I : Integer;
Item : TListItem;
Data : String;
data1 : String;
DATA2 : STRING;
TOT   : Single;
begin
   RPCBrokerMain := frmMain.RPCBroker1;
   OldData:=RPCBrokerMain.Results ;
   OLDMESS := application.OnMessage;
    //application.OnMessage := AppMessage;
    RPCBrokerMain := frmMain.RPCBroker1;
  //  ValueListEditor1.ColCount:=3;
    IF RPCBrokerMain.Results.Count <2 THEN     exit;
    TOT:=0;
   FOR I:=1 TO RPCBrokerMain.Results.Count-1 DO
      begin

      Data := RPCBrokerMain.RESULTS[I];
      data1:= piece(DATA,'^',2);
      pad(data1,120);
      DATA2 := Piece(DATA,'^',4);
      IF DATA2<>'' THEN TOT:=TOT+StrToFloat(DATA2);
      IF POS('.',DATA2)=1 THEN DATA2:='0'+DATA2;
      IF DATA2='1' THEN DATA2:='1.0';
      ValueListEditor1.InsertRow(data1+ ' ' + Piece(Data,'^',3),DATA2,TRUE);
      ValueListEditor1.ItemProps[I-1].EditStyle:=esSimple ;
      ValueListEditor1.ItemProps[I-1].MaxLength:=4;
      ValueListEditor1.ItemProps[I-1].EditMask:='0.00;1;';

    //  ValueListEditor1.Cells[0,I]:= DATA1;
    //  ValueListEditor1.Cells[1,I]:=PIECE(DATA,'^',3);
    //  ValueListEditor1.Cells[2,I] := PIECE(DATA,'^',4);
      //ValueListEditor1.InsertRow(data1+ ' ' + Piece(Data,'^',3),PIECE(DATA,'^',4),TRUE);
    //  Item.Caption:=Piece(Data,'^',2);
     // Item.SubItems.Add(Piece(Data,'^',3));
     // Item.SubItems.Add(Piece(Data,'^',4));

            end;
      IF ValueListEditor1.RowCount=1 THEN
        BEGIN
         CLOSE;
         EXIT;
        END ;





      ValueListEditor1.InsertRow('Total',FloatToStrF(tot,ffNumber,7,2),TRUE);
      I:=RPCBrokerMain.Results.Count;
      ValueListEditor1.ItemProps[I-1].ReadOnly := TRUE;
     // ValueListEditor1.ItemProps[I-1].EditMask:='9.99;1;  ';
end;



procedure TfrmPCFtee.cmdStaffCancelClick(Sender: TObject);
VAR I: Integer;
Item : TListItem;
Data : String;
DATA1: STRING;
DATA2: STRING;
TOT : SINGLE;
begin


 TOT:= 0;

 FOR I:=1 TO OldData.Count-1 DO
  BEGIN
      data:= OldData.Strings[I];
      data1:= piece(DATA,'^',2);
      pad(data1,120);
      DATA2 := Piece(DATA,'^',4);
      IF DATA2<> '' THEN TOT:=TOT+StrToFloat(DATA2);
      IF POS('.',DATA2)=1 THEN DATA2:='0'+DATA2;
      IF DATA2='1' THEN DATA2:='1.0';
      ValueListEditor1.Cells[0,I]:=data1+ ' ' + Piece(Data,'^',3);
      ValueListEditor1.Cells[1,I] := DATA2;






  {Item := ListView1.Items.Add;
      Data := OldData.Strings[I];
      Item.Caption:=Piece(Data,'^',2);
      Item.SubItems.Add(Piece(Data,'^',3));
      Item.SubItems.Add(Piece(Data,'^',4));  }
   END;
   //listview1.ItemIndex :=0;
     I:= ValueListEditor1.RowCount-1;
         ValueListEditor1.CELLS[1,I]:=FloatToStrF(tot,ffNumber,7,2);

end;

procedure TfrmPCFtee.FormCreate(Sender: TObject);
begin
 Font.Assign(FrmMain.FontDialog1.Font);
end;

procedure TfrmPCFtee.cmdStaffOkClick(Sender: TObject);
Var cnt: Integer;
begin
 WITH frmMain.RPCBroker1 DO
        begin

        RemoteProcedure := 'SC FTEE FILE LIST';
          Param[0].PType := list;
          Param[0].Mult['0']:='<RESULTS>';
          for cnt:=1 to olddata.count-1 do
                     Param[0].Mult[IntToStr(cnt)] := OLDDATA.Strings[cnt] +
                                  '^' + ValueListEditor1.Cells[1,CNT]; // ListView1.Items.Item[cnt-1].SubItems[1];

          call;
          CLOSE;
          END;
end;





procedure TfrmPCFtee.cmdCloseClick(Sender: TObject);
begin
        frmPCFtee.Close
end;

procedure TfrmPCFtee.cmdHelpClick(Sender: TObject);
begin
 application.HelpContext(41350);
end;



procedure TfrmPCFtee.FormShow(Sender: TObject);
begin
   IF ValueListEditor1.RowCount = 1 THEN BEGIN
    MessageDlg('No Primary Care Positions on this Team',mtInformation,[mbOK],0);
    close;
    exit;
    end;
end;
procedure Tfrmpcftee.pad(var s: string; ln: integer);
var
  i: integer;
begin
  for i := length(s) to ln do  BEGIN
     s := s + ' ';
     Label1.Caption :=S;
     IF Label1.width > ln then exit ;
     END;
end;

procedure TfrmPCFtee.ValueListEditor1Validate(Sender: TObject; ACol,
  ARow: Integer; const KeyName, KeyValue: String);
VAR
I: INTEGER;
TOT: SINGLE;
TEMP: STRING;
begin
        cmdStaffCancel.Enabled := True;
         Label1.Caption := keyvalue;
         TEMP:= KeyValue ;
         IF PIECE(TEMP,'.',1)=' ' THEN TEMP:='.'+PIECE(TEMP,'.',2);
        IF ((LENGTH(PIECE(TEMP,' ',2)))>0) THEN TEMP:=PIECE(TEMP,' ',1)+ '0' +PIECE(TEMP,' ',2);

 IF StrToFloat(TEMP)>1 then begin
        MessageDlg('Cannot be greater than 1',mtWarning,[mbok],0);
        ValueListEditor1.Values[KEYNAME]:='0';
        TEMP:='0'


        end;
 ValueListEditor1.Values[KEYNAME]:=TEMP;
 TOT:=0;
 FOR I:=1 TO ValueListEditor1.RowCount-2 DO
 IF ValueListEditor1.Cells[1,I]<>'' THEN TOT:=TOT+StrToFloat(ValueListEditor1.Cells[1,I]);
 ValueListEditor1.Values[ValueListEditor1.Keys[ValueListEditor1.RowCount-1]] := FloatToStrF(tot,ffNumber,7,2);

end;

end.
