{*******************************************************************}
{                                                                   }
{ Report Print unit for PCMM                                        }
{ a component of the Scheduling Redesign Project                    }
{                                                                   }
{ Scheduling ver 5.3 AUG 13, 1993                                   }      
{ Management Information Products Group                             }
{ Albany NY (mjk)                                                   }
{ Dept. of Veteran Affairs                                          }
{                                                                   }
{    Last updated: 28 May 2002 (J. Peterson)                        }
{                                                                   }
{*******************************************************************}

unit Rptprint;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, Trpcb, OvcBase, OvcEF, OvcPB, OvcPF, Fmcntrls, Fmcmpnts,
  ExtCtrls, OvcSc{, Gtsize32, GTVASzr - PDR}, Diaccess;

type
  TfrmRptPrint = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Bevel1: TBevel;
    lstPrinter: TFMLister;
    cboPtr: TFMComboBoxLookUp;
    OvcController1: TOvcController;
    txtRunDate: TOvcPictureField;
    txtRunTime: TOvcPictureField;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    spnRunDate: TOvcSpinner;
    spnRunTime: TOvcSpinner;
    {GTVAForm1: GTVAForm - PDR;}
    procedure FormShow(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmRptPrint: TfrmRptPrint;

implementation

uses scut2, pcmm1;

{$R *.DFM}

procedure TfrmRptPrint.FormShow(Sender: TObject);
begin
if cboPtr.ItemIndex <> -1 then
  txtRunDate.SetFocus
else
  cboPtr.SetFocus;
end;

procedure TfrmRptPrint.FormResize(Sender: TObject);
begin
  Clientwidth := 295;
end;

procedure TfrmRptPrint.FormCreate(Sender: TObject);
begin

  Font.Assign(FrmMain.FontDialog1.Font);
end;

end.
