{*******************************************************************}
{                                                                   }
{    Assign Patient to Wait List                                    }
{                                                                   }
{                                                                   }
{                                                                   }
{    Albany NY (SCK)                                                }
{    Dept. of Veteran Affairs                                       }
{    August 2002 (J Sher)                                           }
{                                                                   }
{                                                                   }
{                                                                   }
{*******************************************************************}

unit WaitList;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Fmcntrls, ExtCtrls, ComCtrls,Scut2,Scut3, ScutbrK,uPrUtil,
Trpcb;

type
  TfrmWaitList = class(TForm)
    FMEdit1: TFMEdit;
    FMLabel1: TFMLabel;
    cmdStaffOk: TBitBtn;
    cmdHelp: TBitBtn;
    cmdClose: TBitBtn;
    cmdStaffCancel: TBitBtn;
    lblNotice: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    procedure cmdStaffCancelClick(Sender: TObject);
    procedure FMEdit1Exit(Sender: TObject);
    procedure cmdCloseClick(Sender: TObject);
    procedure cmdStaffOkClick(Sender: TObject);
    procedure FMEdit1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormActivate(Sender: TObject);
  //  procedure ListView1Enter(Sender: TObject);
   // procedure grpSCEnter(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  SC: String;
  DFN: STRING;
  end;

var
  frmWaitList: TfrmWaitList;

implementation

uses PCMM1;

{$R *.dfm}

procedure TfrmWaitList.cmdStaffCancelClick(Sender: TObject);
begin
 FMEdit1.Text :='';
end;

procedure TfrmWaitList.FMEdit1Exit(Sender: TObject);
begin
 IF FMEdit1.Text<>'' THEN BEGIN
 if (Length(FMEdit1.text)>60) or (Length(FMEdit1.Text)<3) then
        begin
        MessageDlg('Must be between 3-60 characters',mtWarning,[mbok],0);
        FMEdit1.SetFocus;
        exit
        end;
 END;
end;

procedure TfrmWaitList.cmdCloseClick(Sender: TObject);

begin
 ModalResult:= mrAbort;
 close;
end;

procedure TfrmWaitList.cmdStaffOkClick(Sender: TObject);

begin
{ if StrToInt(SC)>0 then begin
  if not (rbYes.Checked or rbNo.Checked) then
   begin
    MessageDlg('Yes or No is required',mtWarning,[mbok],0);
    FMEdit1.SetFocus;
    exit;
    end;
    end; }

 ModalResult := mrok;
// close;
end;

procedure TfrmWaitList.FMEdit1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 cmdStaffCancel.Enabled := TRUE;
end;



procedure TfrmWaitList.FormActivate(Sender: TObject);
var
 I : Integer;
DATA: STRING;
ITEM: TListItem;
begin
 //ListView1.Clear ;
 // grpSC.Enabled := FALSE;
 // rbYes.Checked := false;
  //lblSC.Enabled := false;
 // rbYes.Enabled := false;
 // grpsc.Caption :='';
 // ListView1.ShowColumnHeaders := False;
 // lblscp.Visible := FALSE;


 // rbNo.Checked := false;
 // rbNo.enabled := false;
 // IF StrToInt(sc)>0 THEN
 // begin
 // grpSC.Enabled := TRUE;
//  rbYes.Enabled := true;
 // rbNo.enabled := true;
 // lblSC.Enabled := true;
 // ListView1.ShowColumnHeaders:= TRUE;
 // ListView1.Enabled := True;
 // ListView1.ShowColumnHeaders:= TRUE;
 // lblscp.Visible := true;
 // grpsc.Caption := 'Service Connected %: ' + sc;
 // WITH frmMain.RPCBroker1 DO
  //      begin

  //      RemoteProcedure := 'SC SC CONDITION LIST';
  //        Param[0].PType := list;
  //        Param[0].Mult['"DFN"']:=DFN;
  //        CALL;
  //      END;

   //     FOR I:=1 TO (frmMain.RPCBroker1.Results.Count-1) DO
   //     BEGIN
   //       Item := ListView1.Items.Add;
   //   Data := frmMain.RPCBroker1.Results[I];
   //   Item.Caption:=Piece(Data,'^',1);
   //   Item.SubItems.Add(Piece(Data,'^',2));
    //    END;
   //   ListView1.ShowColumnHeaders:= TRUE;
   //     end;

end;

{procedure TfrmWaitList.ListView1Enter(Sender: TObject);
begin
  FMEdit1.SetFocus;
end;}

{procedure TfrmWaitList.grpSCEnter(Sender: TObject);
begin
 rbYes.SetFocus;
end; }

end.
