unit parameters;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, Fmcntrls, Fmcmpnts, Diaccess, pcmm1, trpcb,
  uprutil, scut2;

type
  Tfrmparameters = class(TForm)
    cmdsave: TBitBtn;
    cmdCANCEL: TBitBtn;
    Bevel1: TBevel;
    FMGetparameters: TFMGets;
    FMFileparameters: TFMFiler;
    FMListmailgroups: TFMLister;
    FMlkupmailgrp: TFMComboBoxLookUp;
    Label1: TLabel;
    cmdhelp: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure cmdCANCELClick(Sender: TObject);
    procedure FMlkupmailgrpEnter(Sender: TObject);
    procedure FMlkupmailgrpExit(Sender: TObject);
    procedure cmdsaveClick(Sender: TObject);
    procedure cmdhelpClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function getparaien(rpcb:TRPCBroker):string;
  end;

var
  frmparameters: Tfrmparameters;

implementation

{$R *.DFM}

procedure Tfrmparameters.FormCreate(Sender: TObject);
var
	parameterien: string; {ien of the parameter file}
begin
	//cmf/frmparameters.left:=240;    {setting the positioning of the form}
	//cmf/frmparameters.top:=220;
	parameterien:=getparaien(frmmain.rpcbroker1);       {Getting the parameter file IEN}
	fmgetparameters.iens:=parameterien + ',';
	fmgetparameters.getandfill;
end;

procedure Tfrmparameters.cmdCANCELClick(Sender: TObject);
begin
close;
end;


 {**********PUBLIC PROCEDURES AND FUNCTIONS***************}

function tfrmparameters.getparaien(rpcb:trpcbroker):string;
	var
		ien: string;
	begin

		rpcb.remoteprocedure:='SCMC GET PARAMETER IEN';
		ien:= rpcb.strcall;
                result:=ien;

	end;

procedure Tfrmparameters.FMlkupmailgrpEnter(Sender: TObject);
begin
FMlkupmailgrp.CLEAR;
end;

procedure Tfrmparameters.FMlkupmailgrpExit(Sender: TObject);
begin
with fmlkupmailgrp do
 If FMModified then
  begin
   if (TEXT = EMPTYSTR) and (FMCtrlinternal <> Emptystr) then
    Fmctrlinternal:=emptystr
   else if itemindex>=0 then
    Fmctrlinternal:=piece(getfmdelimrec(fmlister,itemindex),'^',1);
   fmfiler.addchgdcontrol(fmlkupmailgrp);
  end;
end;

procedure Tfrmparameters.cmdsaveClick(Sender: TObject);
begin
 if fmlkupmailgrp.FMModified then
  begin
   if fmfileparameters.Update then
    begin
     showmessage('Parameter updated!');
    end
   else fmfileparameters.DisplayErrors;
  end;
exit;
end;

procedure Tfrmparameters.cmdhelpClick(Sender: TObject);
begin
Application.HelpContext(160000);
end;

end.
