unit PreceptorLkp;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Fmcmpnts, StdCtrls, Fmcntrls, Diaccess, Buttons, Trpcb;

type
  TfrmPreceptLkp = class(TForm)
    cmdOK: TBitBtn;
    cmdCancel: TBitBtn;
    getPosition: TFMGets;
    lstPosition: TFMLister;
    lstPreceptors: TFMListBox;
    BitBtn1: TBitBtn;
    procedure cmdOKClick(Sender: TObject);
    procedure cmdCancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure lstPreceptorsDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    PreceptorPsIen : string;
    PreceptorPsName : string;
    PreceptedPsIen: string;
  end;

var
  frmPreceptLkp: TfrmPreceptLkp;

implementation



{$R *.DFM}

procedure TfrmPreceptLkp.cmdOKClick(Sender: TObject);
var
i: integer;
begin
modalresult := mrCancel;

i := lstPreceptors.ItemIndex;
if i >= 0 then
 begin
  PreceptorPsIen  := lstPreceptors.GetSelectedRecord.IEN;
  PreceptorPsName := lstPreceptors.Items[i];
  if PreceptorPsIen <> '' then
   if PreceptorPsName <> '' then
    modalresult := mrOk;
 end;

end;

procedure TfrmPreceptLkp.cmdCancelClick(Sender: TObject);
begin
 modalresult := mrCancel;
end;

procedure TfrmPreceptLkp.FormShow(Sender: TObject);
begin
 lstPosition.Screen := 'I $$OKPREC^SCMCLK(' +
                       PreceptedPsIen +
                       ',Y,DT)';
 lstPreceptors.GetList;
end;

procedure TfrmPreceptLkp.lstPreceptorsDblClick(Sender: TObject);
begin
 If lstPreceptors.ItemIndex >= 0 then cmdOKClick(nil)
  else cmdCancelClick(nil);
end;

end.
