{*******************************************************************}
{                                                                   }
{ Report Entity Details form for Primary Care Management            }
{ a component of the Scheduling Redesign Project                    }
{                                                                   }
{ Scheduling ver 5.3 AUG 13, 1993                                   }      
{ Management Information Products Group                             }
{ Albany NY (mjk)                                                   }
{ Dept. of Veteran Affairs                                          }
{                                                                   }
{ Version: 1T15     Updated:                                        }
{                                                                   }
{*******************************************************************}

unit Rptseldt;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls {,Gtsize32 - pdr};

type
  TfrmSelectionDetail = class(TForm)
    Bevel1: TBevel;
    lblName: TLabel;
    lblNameText: TLabel;
    lblType: TLabel;
    lblTypeText: TLabel;
    cmdClose: TBitBtn;
    lblID: TLabel;
    lblIDText: TLabel;
    memInfo: TMemo;
    {GTForm1: GTForm - PDR;}
    procedure FormResize(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSelectionDetail: TfrmSelectionDetail;

implementation

uses scut2, pcmm1;

{$R *.DFM}

procedure TfrmSelectionDetail.FormResize(Sender: TObject);
begin
  Clientwidth := 430;
end;

procedure TfrmSelectionDetail.FormShow(Sender: TObject);
begin
 cmdClose.SetFocus;
end;

procedure TfrmSelectionDetail.FormCreate(Sender: TObject);
begin
  Font.Assign(FrmMain.FontDialog1.Font);
end;

end.
