unit dmcTeamPosition;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Diaccess, Fmcmpnts, Trpcb;

type
  TdmcPosition = class(TDataModule)
    RPCBroker1: TRPCBroker;
    FMGetsTeamPosition: TFMGets;
  private
    { Private declarations }
    function PopEx(field: string): string;
  public
    { Public declarations }
    procedure CreatePositionRecord(ien: string);
  end;

  TTeamPosition = record
   CurrentAssigned: string;
  end;

var
  dmcPosition: TdmcPosition;
  TeamPosition: TTeamPosition;

implementation

{$R *.DFM}
procedure TdmcPosition.CreatePositionRecord(ien: string);

begin

 with FMGetsTeamPosition do
     begin
      IENS := ien;
      GetData;
     end;

 with TeamPosition do
     begin
      CurrentAssigned := PopEx('201');
     end;
end;

function TdmcPosition.PopEx(field: string): string;
begin
 Result := FMGetsTeamPosition.GetField(field).FMDBExternal;
end;

end.
