unit dmuTeam;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Diaccess, Fmcmpnts, Trpcb;

type
  TdmcTeam = class(TDataModule)
    FMGetsTeam: TFMGets;
  private
    { Private declarations }
    function PopEx(field: string): string;
  public
    { Public declarations }
    procedure CreateTeamRecord(ien: string);
  end;

  TTeam = record
    CurrentAssigned: integer;
    ErrMsg: string[200];
    ErrCode: integer;
    MaxAssigned: integer;
    PCTeam: boolean;
    TeamClosed: boolean;
    TeamName: string[30];
  end;

var
  dmcTeam: TdmcTeam;
  Team: TTeam;

implementation


{$R *.DFM}
procedure TdmcTeam.CreateTeamRecord(ien: string);
var
 s: string;

begin

with team do
 begin
  ErrMsg := '<none>';
  ErrCode := 0;
 end;

try
 with FMGetsTeam do
     begin
      IENS := ien;
      GetData;
     end;

 with Team do
     begin

      s := PopEx('201');
      if s = '' then CurrentAssigned := 0
       else CurrentAssigned := StrToInt(s);

      s := PopEx('.08');
      if s = '' then MaxAssigned := 0
       else MaxAssigned := StrToInt(s);

      PCTeam := PopEx('.05')='YES';

      TeamClosed := PopEx('.1')='YES';

      TeamName := PopEx('.01');
                                     
     end;
except
 On E: EBrokerError do
  begin
   with Team do
    begin
     ErrMsg := E.Message;
     ErrCode := E.Code;
    end;
  end;
end;
end;

function TdmcTeam.PopEx(field: string): string;
begin
 Result := FMGetsTeam.GetField(field).FMDBExternal;
end;

end.
