unit dmuTeamPosition;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Diaccess, Fmcmpnts, Trpcb;

type
  TdmcPosition = class(TDataModule)
    FMGetsTeamPosition: TFMGets;
  private
    { Private declarations }
    function PopEx(field: string): string;
    //bp/cmf 204 mod begin
    function PopIn(field: string): string;
    //bp/cmf 204 mod end
  public
    { Public declarations }
    procedure CreatePositionRecord(ien: string);
  end;

  TTeamPosition = record
   CurrentAssigned: integer;
   ErrCode: Integer;
   ErrMsg: string[200];
   PositionName: string;
   UserClass: string;
  end;

var
  dmcPosition: TdmcPosition;
  TeamPosition: TTeamPosition;

implementation

{$R *.DFM}
procedure TdmcPosition.CreatePositionRecord(ien: string);

var
 s: string;

begin

with TeamPosition do
 begin
  ErrMsg := '<none>';
  ErrCode := 0;
 end;

try
 with FMGetsTeamPosition do
     begin
      IENS := ien;
      GetData;
     end;

 with TeamPosition do
     begin

      s := PopEx('201');
      if s = '' then CurrentAssigned := 0
       else CurrentAssigned := StrToInt(s);

      //bp/cmf 204 mod begin
      PositionName := PopEx('.01');

      UserClass := PopIn('.13');
      //bp/cmf 204 mod end

     end;
except
 on E: EBrokerError do
  begin
   with TeamPosition do
    begin
     ErrMsg := E.Message;
     ErrCode := E.Code;
    end;
  end;
end;
end;

function TdmcPosition.PopEx(field: string): string;
begin
 Result := FMGetsTeamPosition.GetField(field).FMDBExternal;
end;
//bp/cmf 204 mod begin
function TdmcPosition.PopIn(field: string): string;
begin
 Result := FMGetsTeamPosition.GetField(field).FMDBInternal;
end;
//bp/cmf 204 mod end
end.
