{*******************************************************************}
{                                                                   }
{          Report Error Display Utility unit for PCMM               }
{         a component of the Scheduling Redesign Project            }
{                 Albany Campus - Software Services                 }
{                     Dept. of Veteran Affairs                      }
{                        March 1996  (mjk)                          }
{                                                                   }
{               Version: 1Tx     Updated:                           }
{                                                                   }
{*******************************************************************}

unit Scuterr;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, trpcb, mfunstr, scut3, Fmcmpnts, Fmlookup, 
  Dialogs, printers {,Gtsize32};

type  TfrmErrorRpt = class(TForm)
    OKBtn: TBitBtn;
    memErrors: TMemo;
    pnlMain: TPanel;
    pnlProcess: TPanel;
    pnlLineCnt: TPanel;
    pnlErrorCnt: TPanel;
    cmdPrint: TBitBtn;
    cmdHelp: TBitBtn;
    PrintDialog1: TPrintDialog;
    {GTForm1: GTForm - PDR; }
    procedure FormResize(Sender: TObject);
    procedure cmdPrintClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmErrorRpt: TfrmErrorRpt;

implementation

{uses pcmm1;}

{$R *.DFM}

procedure TfrmErrorRpt.FormResize(Sender: TObject);
begin
  Clientwidth := 455;
end;

procedure TfrmErrorRpt.cmdPrintClick(Sender: TObject);
var
   i: integer;
  tf: TextFile;
begin
  if PrintDialog1.Execute then
    begin
      AssignPrn(tf);
      try
        Rewrite(tf);
        Printer.Canvas.Font.Assign(memErrors.Font);
        writeln(tf, pnlProcess.Caption + '    ' + pnlErrorCnt.Caption);
        writeln(tf,'==========================================================');
        writeln(tf,'');
        for i := 0 to memErrors.Lines.Count -1 do
          writeln(tf, memErrors.Lines[i]);
      finally
        CloseFile(tf);
      end;
    end;
end;

procedure TfrmErrorRpt.FormCreate(Sender: TObject);
begin
  {Font.Assign(FrmMain.FontDialog1.Font);}
end;

end.
